<?php
/*
Plugin : Piwishadow
Plugin URI: http://binaryworld.hd.free.fr/
*/
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
load_language('plugin.lang', PIWISHADOW_PATH);


function assign_vars($section, $vars) {
	global $template;
	foreach ($vars as $key => $value) {
		$template->assign($section .'_'. $key, $value);
	}	
}

$piwishadow = get_plugin_data($plugin_id);
 
if (!empty($_POST['save']))
{
	// Modal overlay libraries
	$c = $piwishadow->getConfig()->cursor('overlaylib');
	$c->set('modalOverlayLib', $_POST['modalOverlayLib']);
	$c->set('modalOverlayTheme', $_POST['modalOverlayTheme']);
	
	// Mediaplayer configuration
	$piwishadow->getConfig()->set('mediaFilePattern', null, stripslashes( $_POST['mediaFilePattern'] ));
	$c->moveTo('content');
	$c->set('displayMediaPlayer', isset( $_POST['content_displayMediaPlayer'] ));
	
	// HD shadowbox configuration
	$c->set('displayHdPictureInOverlay', isset( $_POST['content_displayHdPictureInOverlay'] ));
	$c->set('hdPicturePrefilterPattern', stripslashes( $_POST['content_hdPicturePrefilterPattern'] ));
	$c->set('hdPicturePrefilterReplacement', stripslashes( $_POST['content_hdPicturePrefilterReplacement'] ));
	
	// Slideshow shadowbox configuration
	$c->moveTo('slideshow');
	$c->set('displayInOverlay', isset($_POST['slideshow_displayInOverlay']));
	$c->set('prefilterPattern', stripslashes( $_POST['slideshow_prefilterPattern'] ));
	$c->set('prefilterReplacement', stripslashes( $_POST['slideshow_prefilterReplacement'] ));
	
	// Thumbnail configuration
	$c->moveTo('thumbnail');
	$c->set('displayContentInOverlay', isset($_POST['thumbnail_displayContentInOverlay'] ));
	$c->set('displayMediaPlayerIcon', isset($_POST['thumbnail_displayMediaPlayerIcon'] ));
	$c->set('displayThumbLabel', isset($_POST['thumbnail_displayThumbLabel'] ));
	$c->set('displayContentIcon', isset($_POST['thumbnail_displayContentIcon'] ));
	$c->set('displayContentPageInOverlay', isset($_POST['thumbnail_displayContentPageInOverlay'] ));
	$c->set('buttonsTemplateSearch', stripslashes( $_POST['thumbnail_buttonsTemplateSearch'] ));
	$c->set('hrefContentSearch', stripslashes( $_POST['thumbnail_hrefContentSearch'] ));
	
	$piwishadow->saveConfig();
	unset($_POST['save']);
}
 
global $template;
$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/piwishadow_admin.tpl') );

$config = (!empty($_POST['restore'])) ? $piwishadow->getDefaultConfig() : $piwishadow->getConfig();

$libs = $piwishadow->getInstalledOverlayLibs();
$template->assign('modalOverlayLibs', $libs);
$template->assign('modalOverlayLibsSelected', $config->get('modalOverlayLib', 'overlaylib') );

$themes = array();
foreach ($libs as $lib) {
	$themes[$lib] = array();
	foreach ($piwishadow->getOverlayLib($lib)->getThemes() as $value) {
		$themes[$lib][$value] = $value;
	};
}
$template->assign('modalOverlayThemes', $themes);
$template->assign('modalOverlayThemesSelected', array(
	$config->get('modalOverlayLib', 'overlaylib') => $config->get('modalOverlayTheme', 'overlaylib')) );


$template->assign('mediaFilePattern', $config->get('mediaFilePattern'));
assign_vars('content', $config->section('content'));
assign_vars('slideshow', $config->section('slideshow'));
assign_vars('thumbnail', (array) $config->section('thumbnail'));

unset($_POST['restore']);
unset($_POST['cancel']);

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');


?>